Skip to content
POST /unified/ticketing/teams

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

descriptionstring

The description of the team

4 supported
Gorgias
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
namestring

The name of the team

5 supported4 required
Gorgias
required
Hive
required
SolarWinds Service Desk
required
SurveySparrow Ticket Management
required
Teamwork Project Management
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

usersobject[]

users associated with the teams

1 supported1 required
Hive
required
idstring

The unique identifier for a user.

Response Body

idstring
required·

The unique identifier for a team

5 supported
Gorgias
supported
Hive
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
created_atstring · date-time

The date the team was created

3 supported
Gorgias
supported
Hive
supported
SurveySparrow Ticket Management
supported
descriptionstring

The description of the team

4 supported
Gorgias
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
etagstring

The unique identifier for the specific version of the resource.

namestring

The name of the team

5 supported
Gorgias
supported
Hive
supported
SolarWinds Service Desk
supported
SurveySparrow Ticket Management
supported
Teamwork Project Management
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date the team was last updated

2 supported
Hive
supported
SurveySparrow Ticket Management
supported
curl -X POST 'https://api.truto.one/unified/ticketing/teams?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "description": "your_description",
  "users": [],
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "description": "your_description",
  "users": [],
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/teams?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/teams"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "description": "your_description",
    "users": [],
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ticketing',
  'teams',
  {
  "name": "your_name",
  "description": "your_description",
  "users": [],
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ticketing",
        "teams",
        {
        "name": "your_name",
        "description": "your_description",
        "users": [],
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())